Download it now!
Bug 32123 - --enable-extra-template etc. cause prompts from unzip
Summary: --enable-extra-template etc. cause prompts from unzip
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-06 00:45 UTC by Bernhard Rosenkraenzer
Modified: 2011-01-13 08:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed patch (493 bytes, patch)
2010-12-06 01:33 UTC, Bernhard Rosenkraenzer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Rosenkraenzer 2010-12-06 00:45:22 UTC
In 3.3.0-rc1 (not available in the version list in bugzilla), passing --enable-extra-templates causes unzip to prompt whether or not it may overwrite already existing files - making life unnecessarily hard for packagers.

With --enable-extra-gallery --enable-extra-template --enable-extra-sample:

Looking for /usr/src/ark/BUILD/libreoffice-build-3.3.0.1/src/OOOP-gallery-pack-2.8.0.0.zip ... ok
Unpacking OOOP-gallery-pack-2.8.0.0.zip
replace /usr/src/ark/BUILD/libreoffice-build-3.3.0.1/build/libreoffice-3.3.0.1/extras/source/gallery/accessories-nonfree/delzip? [y]es, [n]o, [A]ll, [N]one, [r]ename: A
Looking for /usr/src/ark/BUILD/libreoffice-build-3.3.0.1/src/OOOP-samples-pack-2.7.0.0.zip ... ok
Unpacking OOOP-samples-pack-2.7.0.0.zip
replace /usr/src/ark/BUILD/libreoffice-build-3.3.0.1/build/libreoffice-3.3.0.1/extras/source/premium/samples-nonfree/documentation/lang/delzip? [y]es, [n]o, [A]ll, [N]one, [r]ename: A

Looking for /usr/src/ark/BUILD/libreoffice-build-3.3.0.1/src/OOOP-templates-pack-2.8.0.0.zip ... ok
Unpacking OOOP-templates-pack-2.8.0.0.zip
warning [/usr/src/ark/BUILD/libreoffice-build-3.3.0.1/src/OOOP-templates-pack-2.8.0.0.zip]:  151510 extra bytes at beginning or within zipfile
  (attempting to process anyway)
file #1:  bad zipfile offset (local header sig):  151510
  (attempting to re-compensate)
replace /usr/src/ark/BUILD/libreoffice-build-3.3.0.1/build/libreoffice-3.3.0.1/extras/source/premium/templates/misc/lang/delzip? [y]es, [n]o, [A]ll, [N]one, [r]ename: 

unzip should probably be invoked with the -o parameter.
Comment 1 Bernhard Rosenkraenzer 2010-12-06 01:33:48 UTC
Created attachment 40819 [details]
Proposed patch
Comment 2 Thorsten Behrens (CIB) 2010-12-10 14:05:19 UTC
Looks good, applied & pushed for libreoffice-3-3
Comment 3 sophie 2011-01-13 08:45:04 UTC
Not verified but without further comments, closing - Sophie